Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.scope
Class AbstractPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

Direct Known Subclasses:
  ConstructionHeuristicPhaseScope, CustomPhaseScope, ExhaustiveSearchPhaseScope, LocalSearchPhaseScope

    public abstract class AbstractPhaseScope

extends Object

Field Summary
`protected int` | `bestSolutionStepIndex`
`protected org.slf4j.Logger` | `logger`
`protected DefaultSolverScope` | `solverScope`
`protected Score` | `startingScore`
`protected long` | `startingSystemTimeMillis`

Constructor Summary
`AbstractPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`void` | `assertExpectedUndoMoveScore(Move move, Move undoMove)`
`void` | `assertExpectedWorkingScore(Score expectedWorkingScore, Object completedAction)`
`void` | `assertWorkingScoreFromScratch(Score workingScore, Object completedAction)`
`long` | `calculatePhaseTimeMillisSpent()`
`Score` | `calculateScore()`
`long` | `calculateSolverTimeMillisSpent()`
`Score` | `getBestScore()`
`String` | `getBestScoreWithUninitializedPrefix()`
`int` | `getBestSolutionStepIndex()`
`abstract AbstractStepScope` | `getLastCompletedStepScope()`
`int` | `getNextStepIndex()`
`long` | `getPhaseBestSolutionTimeMillis()`
`ScoreDefinition` | `getScoreDefinition()`
`InnerScoreDirector` | `getScoreDirector()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`DefaultSolverScope` | `getSolverScope()`
`Score` | `getStartingScore()`
`long` | `getStartingSystemTimeMillis()`
`int` | `getWorkingEntityCount()`
`List<Object>` | `getWorkingEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`int` | `getWorkingValueCount()`
`boolean` | `isBestSolutionInitialized()`
`void` | `reset()`
`void` | `setBestSolutionStepIndex(int bestSolutionStepIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solverScope

    protected final DefaultSolverScope solverScope

### startingSystemTimeMillis

    protected long startingSystemTimeMillis

### startingScore

    protected Score startingScore

### bestSolutionStepIndex

    protected int bestSolutionStepIndex

Constructor Detail

### AbstractPhaseScope

    public AbstractPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getSolverScope

    public DefaultSolverScope getSolverScope()

### getStartingSystemTimeMillis

    public long getStartingSystemTimeMillis()

### getStartingScore

    public Score getStartingScore()

### getBestSolutionStepIndex

    public int getBestSolutionStepIndex()

### setBestSolutionStepIndex

    public void setBestSolutionStepIndex(int bestSolutionStepIndex)

### getLastCompletedStepScope

    public abstract AbstractStepScope getLastCompletedStepScope()

### reset

    public void reset()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### calculateSolverTimeMillisSpent

    public long calculateSolverTimeMillisSpent()

### calculatePhaseTimeMillisSpent

    public long calculatePhaseTimeMillisSpent()

### getScoreDirector

    public InnerScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingEntityCount

    public int getWorkingEntityCount()

### getWorkingEntityList

    public List<Object> getWorkingEntityList()

### getWorkingValueCount

    public int getWorkingValueCount()

### calculateScore

    public Score calculateScore()

### assertExpectedWorkingScore

    public void assertExpectedWorkingScore(Score expectedWorkingScore,
                                           Object completedAction)

### assertWorkingScoreFromScratch

    public void assertWorkingScoreFromScratch(Score workingScore,
                                              Object completedAction)

### assertExpectedUndoMoveScore

    public void assertExpectedUndoMoveScore(Move move,
                                            Move undoMove)

### getWorkingRandom

    public Random getWorkingRandom()

### isBestSolutionInitialized

    public boolean isBestSolutionInitialized()

### getBestScore

    public Score getBestScore()

### getBestScoreWithUninitializedPrefix

    public String getBestScoreWithUninitializedPrefix()

### getPhaseBestSolutionTimeMillis

    public long getPhaseBestSolutionTimeMillis()

### getNextStepIndex

    public int getNextStepIndex()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.